## org.apache.mahout.math.hadoop.similarity.cooccurrence.measures
Class CountbasedMeasure

    java.lang.Object
      org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.CountbasedMeasure

All Implemented Interfaces:
  VectorSimilarityMeasure

Direct Known Subclasses:
  CityBlockSimilarity, CooccurrenceCountSimilarity, LoglikelihoodSimilarity, TanimotoCoefficientSimilarity

    public abstract class CountbasedMeasure

extends Object
implements VectorSimilarityMeasure

Field Summary

Fields inherited from interface org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.VectorSimilarityMeasure
`NO_NORM`

Constructor Summary
`CountbasedMeasure()`

Method Summary
`double` `aggregate(double valueA, double nonZeroValueB)`
`boolean` `consider(int numNonZeroEntriesA, int numNonZeroEntriesB, double maxValueA, double maxValueB, double threshold)`
`double` `norm(Vector vector)`
`Vector` `normalize(Vector vector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.VectorSimilarityMeasure
`similarity`

Constructor Detail

### CountbasedMeasure

    public CountbasedMeasure()

Method Detail

### normalize

    public Vector normalize(Vector vector)

  Specified by:
    `normalize` in interface `VectorSimilarityMeasure`

### norm

    public double norm(Vector vector)

  Specified by:
    `norm` in interface `VectorSimilarityMeasure`

### aggregate

    public double aggregate(double valueA,
                            double nonZeroValueB)

  Specified by:
    `aggregate` in interface `VectorSimilarityMeasure`

### consider

    public boolean consider(int numNonZeroEntriesA,
                            int numNonZeroEntriesB,
                            double maxValueA,
                            double maxValueB,
                            double threshold)

  Specified by:
    `consider` in interface `VectorSimilarityMeasure`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.